---
schema_version: "1"
id: 32e9d7fb6f235ad4a82cd29b3bf4b6e4257495d320d8e681e52f293c7b6dfbc7
title: Manage Prediction Jobs
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/bi_dev_guide_rest_sdd/bi_edd_prediction_service_job.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.bi_dev_guide_rest_sdd.meta/bi_dev_guide_rest_sdd/bi_edd_prediction_service_job.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 165e629029b364c3cca5430ee9be5ef02560670a88c7a91dd553f3fe6318fb87
description: The Einstein Prediction Service provides REST API endpoints to run bulk scoring jobs for a prediction. Bulk scoring jobs enable you to score predictions on multiple records at a time. For example, after deploying an updated model, use bulk scoring to refresh all prediction scores. You can also run bulk scoring on historical data to see how well your model performs. With bulk scoring, you can score all records, a segment of the records, or records that haven’t reached the terminal state.
---
# Manage Prediction Jobs

The Einstein Prediction Service provides REST API endpoints to run bulk scoring jobs for a prediction. Bulk scoring jobs enable you to score predictions on multiple records at a time. For example, after deploying an updated model, use bulk scoring to refresh all prediction scores. You can also run bulk scoring on historical data to see how well your model performs. With bulk scoring, you can score all records, a segment of the records, or records that haven’t reached the terminal state.

Bulk scoring jobs are configured in Model Manager. To set up Bulk Scoring jobs, see [Score Records in Bulk](https://help.salesforce.com/s/articleView?id=analytics.bi_edd_model_manager_score.htm&type=5&language=en_US).

![Note](https://developer.salesforce.com/docs/atlas.en-us.bi_dev_guide_rest_sdd.meta/bi_dev_guide_rest_sdd/images/icon_note.png)

#### Note

If the daily predictions limit is reached in your org, active scoring jobs are paused, then resumed the next day.

## Run a Bulk Scoring Job for a Prediction

POST /smartdatadiscovery​/predict-jobs

POST Request Body

Use the [Smart Data Discovery Job Predict Input](https://developer.salesforce.com/docs/atlas.en-us.bi_dev_guide_rest_sdd.meta/bi_dev_guide_rest_sdd/bi_sdd_requests_smart_data_discovery_predict_job_input.htm "The predict job input for Einstein Discovery.") to create your request body. In the request body, specify the prediction definition Id associated with the bulk scoring request job, along with a user-defined label, and optional filter settings.

{
   "predictionDefinition":{ "id":"{{_predictionDefinitionId_}}" },
   "label":"{{_label_}}",
   "useTerminalStateFilter" : false,
   "filters":{
      "filters":\[
         {
            "fieldName":"Opportunity.Name",
            "values":\[ "My Opportunity" \],
            "operator":"Equal"
         }
      \]
   }
}

You can retrieve a list of available prediction definition Ids using the following API request:

GET ​/smartdatadiscovery​/predictiondefinitions

## Get Scoring Jobs

GET smartdatadiscovery/predict-jobs